Bug 823101

Summary: Review Request: erlang-riak_pipe - Riak Pipelines
Product: [Fedora] Fedora Reporter: Peter Lemenkov <lemenkov>
Component: Package ReviewAssignee: Brendan Jones <brendan.jones.it>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: brendan.jones.it, notting, package-review
Target Milestone: ---Flags: brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-18 01:30:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 639263, 652598, 671884    
Bug Blocks: 652629, 841766    

Description Peter Lemenkov 2012-05-19 00:48:48 EDT
Spec URL: http://peter.fedorapeople.org/erlang-riak_pipe.spec
SRPM URL: http://peter.fedorapeople.org/erlang-riak_pipe-1.1.2-1.fc18.src.rpm
Description: Riak Pipelines.

NotReadi since it depends on packages which are not yet in Rawhide.
Comment 1 Peter Lemenkov 2012-07-14 10:28:19 EDT
Unblocking NotReady - all required packages are available at least in Rawhide.

Koji scratchbuild for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4239711
Comment 2 Brendan Jones 2012-07-16 16:51:17 EDT
I will take this review
Comment 3 Brendan Jones 2012-07-17 11:11:46 EDT
I'm assuming this is being built for EPEL5.

This package is APPROVED.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (basho-riak_pipe-1.1.2-0-g6442123.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: erlang-riak_pipe-1.1.2-1.fc18.src.rpm
          erlang-riak_pipe-1.1.2-1.fc18.x86_64.rpm
erlang-riak_pipe.src: W: spelling-error Summary(en_US) Riak -> Rick, Risk, Rial
erlang-riak_pipe.src: W: spelling-error %description -l en_US Riak -> Rick, Risk, Rial
erlang-riak_pipe.src: W: invalid-url Source0: basho-riak_pipe-1.1.2-0-g6442123.tar.gz
erlang-riak_pipe.x86_64: E: explicit-lib-dependency erlang-stdlib
erlang-riak_pipe.x86_64: W: spelling-error Summary(en_US) Riak -> Rick, Risk, Rial
erlang-riak_pipe.x86_64: W: spelling-error %description -l en_US Riak -> Rick, Risk, Rial
erlang-riak_pipe.x86_64: E: no-binary
erlang-riak_pipe.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 2 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
erlang-riak_pipe-1.1.2-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    erlang-cluster_info  
    erlang-erts >= R13B
    erlang-hipe  
    erlang-kernel  
    erlang-lager  
    erlang-riak_core  
    erlang-stdlib  

Provides
--------
erlang-riak_pipe-1.1.2-1.fc18.x86_64.rpm:
    
    erlang-riak_pipe = 1.1.2-1.fc18
    erlang-riak_pipe(x86-64) = 1.1.2-1.fc18
Comment 4 Peter Lemenkov 2012-07-17 12:27:36 EDT
Thanks for reviewing this!

I'm considering building it for EL5 but don't have any plans for that so far. that's why all EL5-related messages should be addressed. So before importing I'm going to

* Drop explicit BuildRoot
* Drop %defattr(-,root,root,-)
* Drop %clean target
* Remove rm -rf $RPM_BUILD_ROOT from the %install section

New Package SCM Request
=======================
Package Name: erlang-riak_pipe
Short Description: Riak Pipelines
Owners: peter
Branches: f17 el6
InitialCC:
Comment 5 Jon Ciesla 2012-07-17 23:17:29 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-07-29 03:08:15 EDT
erlang-riak_pipe-1.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-riak_pipe-1.1.2-1.fc17
Comment 7 Fedora Update System 2012-08-05 03:05:13 EDT
erlang-riak_pipe-1.1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-riak_pipe-1.1.2-1.el6
Comment 8 Fedora Update System 2012-08-09 19:08:35 EDT
erlang-riak_pipe-1.1.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-08-23 13:03:23 EDT
erlang-riak_pipe-1.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.